### Method

# SpiceClientGLib UsbDeviceManager allocate_device_for_file_descriptor

since: 0.40

#### Declaration [src]

    SpiceUsbDevice*
    spice_usb_device_manager_allocate_device_for_file_descriptor (
      SpiceUsbDeviceManager* manager,
      int file_descriptor,
      GError** error
    )

#### Description [src]

Allocates a SpiceUsbDevice instance for the specified file descriptor.

Available since: 0.40

#### Parameters

`file_descriptor`

  Type: `int`

  An open file descriptor for the USB device.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SpiceUsbDevice`

An allocated SpiceUsbDevice instance or `NULL` in case of failure.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.